Bug 157625 - org.netbeans.modules.python.api.PythonException: Could not discover Python properties
org.netbeans.modules.python.api.PythonException: Could not discover Python pr...
Status: RESOLVED FIXED
Product: python
Classification: Unclassified
Component: Code
6.x
All All
: P1 with 1 vote (vote)
: TBD
Assigned To: ardavis26
nbpythonqa
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 16:32 UTC by Exceptions Reporter
Modified: 2009-10-25 06:39 UTC (History)
9 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.06 KB, text/plain)
2009-01-29 16:33 UTC, Exceptions Reporter
Details
stacktrace (5.95 KB, text/plain)
2009-05-21 16:49 UTC, Oleg Khokhlov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2009-01-29 16:32:58 UTC
Build: NetBeans IDE 6.5 (Build 200811131701)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-133, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b06-284
OS: Mac OS X, 10.5.6, i386

User Comments:
GUEST: trying to add python as a platform

max os x

GUEST: tried added Python 3

klauern: I tried adding a Python distribution for OS X 10.5.5.  I installed the Python.org distribution of Python 2.6 and attempted adding the python platform from /Libraries/Frameworks/Python.frameworks/Versions/2.6

klauern: Tried adding the Python 2.6 Framework.  I downloaded and installed this framework from Python.org

GUEST: Occured when trying to chose python 2.5.4 platform

GUEST: trying to add python as a platform

max os x



Stacktrace: 
org.netbeans.modules.python.api.PythonException: Could not discover Python properties
        at org.netbeans.modules.python.api.PythonPlatformManager.findPlatformProperties(PythonPlatformManager.java:387)
        at org.netbeans.modules.python.platform.panels.PythonPlatformPanel.newPlatformActionPerformed(PythonPlatformPanel.java:454)
        at org.netbeans.modules.python.platform.panels.PythonPlatformPanel.access$300(PythonPlatformPanel.java:38)
        at org.netbeans.modules.python.platform.panels.PythonPlatformPanel$3.actionPerformed(PythonPlatformPanel.java:141)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1882)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2202)
Comment 1 Exceptions Reporter 2009-01-29 16:33:08 UTC
Created attachment 76349 [details]
stacktrace
Comment 2 Oleg Khokhlov 2009-05-21 16:49:29 UTC
Build: NetBeans IDE Dev (Build 200905190201)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Windows XP, 5.1, x86

User Comments: 
adding incorrect executable in Python platforms

Stacktrace: 
org.netbeans.modules.python.api.PythonException: Could not discover Python properties
        at org.netbeans.modules.python.api.PythonPlatformManager.findPlatformProperties(PythonPlatformManager.java:389)
        at org.netbeans.modules.python.platform.panels.PythonPlatformPanel.newPlatformActionPerformed(PythonPlatformPanel.java:451)
        at org.netbeans.modules.python.platform.panels.PythonPlatformPanel.access$300(PythonPlatformPanel.java:37)
        at org.netbeans.modules.python.platform.panels.PythonPlatformPanel$3.actionPerformed(PythonPlatformPanel.java:138)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
Comment 3 Oleg Khokhlov 2009-05-21 16:49:39 UTC
Created attachment 82569 [details]
stacktrace
Comment 4 Exceptions Reporter 2009-08-17 04:51:22 UTC
This issue already has 54 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=144742
Comment 5 ardavis26 2009-10-25 06:39:18 UTC
The Exception is thrown by the Python platform manager.  The Exception is intentional, I have fixed the handler to
display a better message.  


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo